UPDATE mgfcpagar SET 
pag_fornecedor_inscricao = (case when pag_fornecedor_tpessoa = 2 then 
lpad(pag_fornecedor_inscricao, 14, '0') 
ELSE 
lpad(pag_fornecedor_inscricao, 11, '0') 
END),
pag_aval_inscr_nr = (case when pag_aval_inscr_tp = 2 then 
lpad(pag_aval_inscr_nr, 14, '0') 
ELSE 
lpad(pag_aval_inscr_nr, 11, '0') 
END),
pag_beneficiario_inscricao = (case when pag_beneficiario_tpessoa = 2 then 
lpad(pag_beneficiario_inscricao, 14, '0') 
ELSE 
lpad(pag_beneficiario_inscricao, 11, '0') 
END),
pag_sacado_inscricao = (case when pag_sacado_tp = 2 then 
lpad(pag_sacado_inscricao, 14, '0')
ELSE 
lpad(pag_sacado_inscricao, 11, '0') 
END)
WHERE true;
